<?php

namespace WordpressModels\DependencyInjection\Metabox;

abstract class AbstractPostMetabox extends AbstractMetabox
{

    public function shouldRender(bool $value, ?\WP_Post $post = null): bool
    {
        return $value;
    }

    abstract public function renderMetaBox(?\WP_Post $post = null): void;

}